## maffilter 1.3.1%2Bdfsg

=== CMakeLists.txt ===
# CMake script for the MafFilter package
# Author: Julien Dutheil
# Created: 27/04/2010

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
PROJECT(maffilter CXX)

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF()

SET(CMAKE_CXX_FLAGS "-std=c++11 -Wall -Weffc++ -Wshadow")



#static linkage?
IF(NOT BUILD_STATIC)
  SET(BUILD_STATIC FALSE CACHE BOOL
      "Enable static linkage."
      FORCE)
ENDIF()
IF(BUILD_STATIC)
  MESSAGE(STATUS "Static linkage requested.")
  SET (CMAKE_CXX_FLAGS "-static -static-libgcc ${CMAKE_CXX_FLAGS}")
ENDIF()

# Check compression program
# COMPRESS_PROGRAM controls the choice of program
# COMPRESS_EXT can be used to override the file extension
if (NOT COMPRESS_PROGRAM)
  set (COMPRESS_PROGRAM gzip CACHE STRING "Set program for compressing documentation" FORCE)
endif ()
find_program (COMPRESS_BIN NAMES ${COMPRESS_PROGRAM} DOC "${COMPRESS_PROGRAM} compression program")
if (NOT COMPRESS_BIN)
  message (STATUS "${COMPRESS_PROGRAM} program not found, text doc will not be compressed")
else ()
  # Deduce COMPRESS_EXT for known compression programs if not set
  if (NOT COMPRESS_EXT)
    if (${COMPRESS_PROGRAM} STREQUAL "gzip")
      set (COMPRESS_EXT "gz")
    elseif (${COMPRESS_PROGRAM} STREQUAL "bzip2")
      set (COMPRESS_EXT "bz2")
    else ()
      set (COMPRESS_EXT "${COMPRESS_PROGRAM}") # Default: program name (works for xz/lzma)
    endif ()
  endif ()
  # Generate command line args (always add -c to output compressed file to stdout)
  if (${COMPRESS_PROGRAM} STREQUAL "gzip")
    # -n for no timestamp in files (reproducible builds)
    # -9 for maximum compression (lintian error)
    set (COMPRESS_ARGS -c -n -9)
  else ()
    set (COMPRESS_ARGS -c)
  endif ()
  message (STATUS "Found ${COMPRESS_BIN} compression program, using file extension .${COMPRESS_EXT}")
endif ()

# Find dependencies (add install directory to search)
if (CMAKE_INSTALL_PREFIX)
  set (CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
endif (CMAKE_INSTALL_PREFIX)

include (GNUInstallDirs)
find_package (bpp-phyl-omics 3.0.0 REQUIRED)

#Find boost libraries
SET(Boost_USE_STATIC_LIBS ${BUILD_STATIC})
SET(Boost_USE_MULTITHREADED ON)
FIND_PACKAGE( Boost 1.34.0 COMPONENTS iostreams )

IF(Boost_FOUND)
  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
  SET(LIBS ${LIBS} ${Boost_LIBRARIES})
  MESSAGE("-- Boost libraries found here:")
  MESSAGE("   includes: ${Boost_INCLUDE_DIRS}")
  MESSAGE("   dynamic libraries: ${Boost_LIBRARIES}")
ENDIF()


#here is a useful function:
MACRO(IMPROVED_FIND_LIBRARY OUTPUT_LIBS lib_name include_to_find)
  #start:
  FIND_PATH(${lib_name}_INCLUDE_DIR ${include_to_find})
  INCLUDE_DIRECTORIES(${${lib_name}_INCLUDE_DIR})

  IF(BUILD_STATIC)
    SET(${lib_name}_STATIC_NAMES lib${lib_name}.a)
    FIND_LIBRARY(${lib_name}_STATIC_LIBRARY NAMES ${${lib_name}_STATIC_NAMES} PATH_SUFFIXES lib${LIB_SUFFIX})
    IF(${lib_name}_STATIC_LIBRARY)
      MESSAGE("-- Library ${lib_name} found here:")
      MESSAGE("   includes: ${${lib_name}_INCLUDE_DIR}")
      MESSAGE("   static libraries: ${${lib_name}_STATIC_LIBRARY}")
    ELSE()
      MESSAGE(FATAL_ERROR "${lib_name} required but not found.")
    ENDIF()
    #add the dependency:
    SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_STATIC_LIBRARY})
  ELSE()
    SET(${lib_name}_NAMES ${lib_name} ${lib_name}.lib ${lib_name}.dll)
    FIND_LIBRARY(${lib_name}_LIBRARY NAMES ${${lib_name}_NAMES} PATH_SUFFIXES lib${LIB_SUFFIX})
    IF(${lib_name}_LIBRARY)
      MESSAGE("-- Library ${lib_name} found here:")
      MESSAGE("   includes: ${${lib_name}_INCLUDE_DIR}")
      MESSAGE("   dynamic libraries: ${${lib_name}_LIBRARY}")
    ELSE()
      MESSAGE(FATAL_ERROR "${lib_name} required but not found.")
    ENDIF()
    #add the dependency:
    SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_LIBRARY})
  ENDIF()
  
ENDMACRO(IMPROVED_FIND_LIBRARY)

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
IF(CMAKE_INSTALL_PREFIX)
  SET(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
ENDIF(CMAKE_INSTALL_PREFIX)


# Find the zlib installation
IMPROVED_FIND_LIBRARY(LIBS z zlib.h)
#This does not work with static linkage!!!
#FIND_PACKAGE(ZLIB REQUIRED)
#IF(ZLIB_FOUND)
#  INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
#  SET(LIBS ${LIBS} ${ZLIB_LIBRARIES})
#  MESSAGE("-- Zlib found here:")
#  MESSAGE("   includes: ${ZLIB_INCLUDE_DIR}")
#  MESSAGE("   libraries: ${ZLIB_LIBRARIES}")
#ENDIF()

# Find the bz2 installation
IMPROVED_FIND_LIBRARY(LIBS bz2 bzlib.h)
#This does not work with static linkage!!!
#FIND_PACKAGE(BZip2 REQUIRED)
#IF(BZIP2_FOUND)
#  INCLUDE_DIRECTORIES(${BZIP2_INCLUDE_DIR})
#  SET(LIBS ${LIBS} ${BZIP2_LIBRARIES})
#  MESSAGE("-- BZip2 found here:")
#  MESSAGE("   includes: ${BZIP2_INCLUDE_DIR}")
#  MESSAGE("   libraries: ${BZIP2_LIBRARIES}")
#ENDIF()

# Subdirectories
ADD_SUBDIRECTORY(MafFilter)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(man)

# Packager
SET(CPACK_PACKAGE_NAME "maffilter")
SET(CPACK_PACKAGE_VENDOR "Julien Y. Dutheil")
SET(CPACK_PACKAGE_VERSION "1.3.1")
SET(CPACK_PACKAGE_VERSION_MAJOR "1")
SET(CPACK_PACKAGE_VERSION_MINOR "3")
SET(CPACK_PACKAGE_VERSION_PATCH "1")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Filtering of genome alignment in the Multiple Alignment Format (MAF)")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL")
SET(CPACK_SOURCE_GENERATOR "TGZ")
# /!\ This assumes that an external build is used
SET(CPACK_SOURCE_IGNORE_FILES 
       "/build/" 
       "/examples/" 
       "/\\\\.git/" 
       "/\\\\.gitignore" 
       ${CPACK_SOURCE_IGNORE_FILES}
       )

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

IF (UNIX)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(rpm dist info man)

ENDIF(UNIX)

=== MafFilter/CMakeLists.txt ===
# CMake script for MafFilter package
# Author: Julien Dutheil
# Created: 27/04/2010

ADD_EXECUTABLE(maffilter MafFilter.cpp OutputAsFeaturesMafIterator.cpp SystemCallMafIterator.cpp TreeBuildingSystemCallMafIterator.cpp)
set (maffilter-targets
  maffilter
  )

foreach (target ${maffilter-targets})
  # Link (static or shared)
  if (BUILD_STATIC)
    target_link_libraries (${target} ${BPP_LIBS_STATIC})
    target_link_libraries (${target} ${LIBS})
    set_target_properties (${target} PROPERTIES LINK_SEARCH_END_STATIC TRUE)
  else (BUILD_STATIC)
    target_link_libraries (${target} ${BPP_LIBS_SHARED})
    target_link_libraries (${target} ${LIBS})
  endif (BUILD_STATIC)
endforeach (target)

install (TARGETS ${maffilter-targets} DESTINATION ${CMAKE_INSTALL_BINDIR})

=== doc/CMakeLists.txt ===
# CMake script for MafFilter
# Authors:
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 22/08/2009

# Builds info, html, pdf doc.
# Info doc is built and install as part of "all" if makeinfo is found.
# Html doc is proposed as a "html" optional target if makeinfo is found.
# Pdf doc is proposed as a "pdf" optional target if makeinfo AND texi2dvi are found.

find_program (MAKEINFO NAMES makeinfo texi2any DOC "makeinfo doc generator program")
if (NOT MAKEINFO)
  message (STATUS "makeinfo program not found: 'info' and 'html' target disabled (builds info/html doc)")
else (NOT MAKEINFO)
  message (STATUS "Found ${MAKEINFO}: 'info' and 'html' target enabled (builds info/html doc)")

  set (input ${CMAKE_CURRENT_SOURCE_DIR}/maffilter.texi)

  # Build and install info page
  set (output ${CMAKE_CURRENT_BINARY_DIR}/maffilter.info)
  add_custom_command (
    OUTPUT ${output}
    COMMAND ${MAKEINFO} --no-split -o ${output} ${input}
    DEPENDS ${input}
    COMMENT "Generating info page"
    VERBATIM
    )

  # Install, and have "info" built with "all" (install needs the file to be built)
  if (NOT COMPRESS_BIN)
    # Install uncompressed info page
    install (FILES ${output} DESTINATION ${CMAKE_INSTALL_INFODIR})
    add_custom_target (info ALL DEPENDS ${output})
  else ()
    # Compress and install compressed file
    set (compressed_ouput ${output}.${COMPRESS_EXT})
    add_custom_command (
      OUTPUT ${compressed_ouput}
      COMMAND ${COMPRESS_BIN} ${COMPRESS_ARGS} ${output} > ${compressed_ouput}
      DEPENDS ${output}
      COMMENT "Compressing info page"
      VERBATIM
      )
    install (FILES ${compressed_ouput} DESTINATION ${CMAKE_INSTALL_INFODIR})
    add_custom_target (info ALL DEPENDS ${compressed_ouput})
  endif ()

  # Also provide a "html" target that builds html doc (not installed, and not part of "all").
  set (output ${CMAKE_CURRENT_BINARY_DIR}/maffilter.html)
  set (makeinfo-css "http://www.w3.org/StyleSheets/Core/Steely")
  add_custom_command (
    OUTPUT ${output}
    COMMAND ${MAKEINFO} --html --css-ref=${makeinfo-css} --no-split -o ${output} ${input}
    DEPENDS ${input}
    COMMENT "Generating html doc"
    VERBATIM
    )
  add_custom_target (html DEPENDS ${output})

  # Also provide a "html-multipages" target that builds html doc (not installed, and not part of "all").
  set (output ${CMAKE_CURRENT_BINARY_DIR}/html/)
  set (makeinfo-css "http://www.w3.org/StyleSheets/Core/Steely")
  add_custom_command (
    OUTPUT ${output}
    COMMAND ${MAKEINFO} --html --no-headers --css-ref=${makeinfo-css} -o ${output} ${input}
    DEPENDS ${input}
    COMMENT "Generating html (multipages) doc"
    VERBATIM
    )
  add_custom_target (html-multipages DEPENDS ${output})


  # Provide a "pdf" target that builds pdf doc (not installed, not part of "all").
  find_program (TEXIDVI NAMES texi2dvi)
  if (TEXIDVI)
    message (STATUS "Found texi2dvi: 'pdf' target enabled (builds pdf doc)")
    set (output ${CMAKE_CURRENT_BINARY_DIR}/maffilter.pdf)
    add_custom_command (
      OUTPUT ${output}
      COMMAND ${MAKEINFO} --pdf --Xopt=--clean -o ${output} ${input}
      DEPENDS ${input}
      COMMENT "Generating pdf doc"
      VERBATIM
      )
    add_custom_target (pdf DEPENDS ${output})
  endif ()
endif ()

=== man/CMakeLists.txt ===
# CMake script for the CoMap package.
# Authors:
#   Julien Dutheil
#   Francois gindraud (2017)
# Created: 22/08/2009

# Build manpages.
# In practice, they are just compressed from the text files using COMPRESS_PROGRAM
# Manpages are built and installed as part of "all" if a COMPRESS_PROGRAM is found.

# Take all manpages files in the directory
file (GLOB manpage_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.1)

if (NOT COMPRESS_BIN)
  # Just install manpages from source
  foreach (manpage_file ${manpage_files})
    install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/${manpage_file} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
  endforeach (manpage_file)
else ()
  # Create a list of manpage targets
  set (manpage-targets)

  foreach (manpage_file ${manpage_files})
    # Compress manpage, install, add to manpage target list
    set (input ${CMAKE_CURRENT_SOURCE_DIR}/${manpage_file})
    set (output ${CMAKE_CURRENT_BINARY_DIR}/${manpage_file}.${COMPRESS_EXT})
    add_custom_command (
      OUTPUT ${output}
      COMMAND ${COMPRESS_BIN} ${COMPRESS_ARGS} ${input} > ${output}
      DEPENDS ${input}
      COMMENT "Compressing manpage ${manpage_file}"
      VERBATIM
      )
    install (FILES ${output} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
    list (APPEND manpage-targets ${output})
    unset (input)
    unset (output)
  endforeach (manpage_file)

  # Add target "man", built with "all" (needed because install will fail if not built).
  add_custom_target (man ALL DEPENDS ${manpage-targets})
endif ()

## maffilter 1.1.0-1+dfsg

=== debian/changelog ===
maffilter (1.1.0-1+dfsg-2build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:28:24 +0000

maffilter (1.1.0-1+dfsg-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:25:31 +0000

maffilter (1.1.0-1+dfsg-2) unstable; urgency=medium

  * Fix permissions
  * Properly install executable and info file

 -- Andreas Tille <tille@debian.org>  Sun, 22 May 2016 21:58:51 +0200

maffilter (1.1.0-1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #822776)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 15:59:57 +0200

=== debian/control ===
Source: maffilter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Julien Dutheil <julien.dutheil@univ-montp2.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               texinfo,
               libbpp-phyl-omics-dev (>= 2.2.0),
               libboost-iostreams-dev (>= 1.54.0),
               zlib1g-dev,
               libbz2-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/maffilter.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/maffilter.git
Homepage: http://biopp.univ-montp2.fr/forge/maffilter

Package: maffilter
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: maffilter-examples
Description: process genome alignment in the Multiple Alignment Format
 MafFilter applies a series of "filters" to a MAF file, in order to
 clean it, extract data and computer statistics while keeping track of
 the associated meta-data such as genome coordinates and quality scores.
 .
  * It can process the alignment to remove low-quality / ambiguous /
    masked regions.
  * It can export data into a single or multiple alignment file in
    format such as Fasta or Clustal.
  * It can read annotation data in GFF or GTF format, and extract the
    corresponding alignment.
  * It can perform sliding windows calculations.
  * It can reconstruct phylogeny/genealogy along the genome alignment.
  * It can compute population genetics statistics, such as site
    frequency spectrum, number of fixed/polymorphic sites, etc.

Package: maffilter-examples
Architecture: all
Depends: ${misc:Depends}
Enhances: maffilter
Description: process genome alignment in the Multiple Alignment Format (example data)
 MafFilter applies a series of "filters" to a MAF file, in order to
 clean it, extract data and computer statistics while keeping track of
 the associated meta-data such as genome coordinates and quality scores.
 .
  * It can process the alignment to remove low-quality / ambiguous /
    masked regions.
  * It can export data into a single or multiple alignment file in
    format such as Fasta or Clustal.
  * It can read annotation data in GFF or GTF format, and extract the
    corresponding alignment.
  * It can perform sliding windows calculations.
  * It can reconstruct phylogeny/genealogy along the genome alignment.
  * It can compute population genetics statistics, such as site
    frequency spectrum, number of fixed/polymorphic sites, etc.
 .
 This package provides example data for maffilter.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Package does not build with this option
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	find debian/*/usr/share -name "*.bpp" -executable -exec chmod -x \{\} \;

## maffilter 1.2.1+dfsg

=== debian/changelog ===
maffilter (1.2.1+dfsg-1build2) bionic; urgency=medium

  * No-change rebuild against libbpp-core4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Apr 2018 08:00:56 +0000

maffilter (1.2.1+dfsg-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:20:00 +0000

maffilter (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix watch file
  * debhelper 10
  * adjust versioned Build-Depends
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 09:09:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
            Julien Dutheil <julien.dutheil@univ-montp2.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                texinfo,
-               libbpp-phyl-omics-dev (>= 2.2.0),
+               libbpp-phyl-omics-dev (>= 2.3.1),
                libboost-iostreams-dev (>= 1.54.0),
                zlib1g-dev,
                libbz2-dev

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 # DH_VERBOSE := 1
 
-# Package does not build with this option
-# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

## maffilter 1.3.0+dfsg

=== debian/changelog ===
maffilter (1.3.0+dfsg-1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:00:52 +0000

maffilter (1.3.0+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added ref to OMICtools registry
    (bio.tools and RRID entries not available)

  [ Julien Y. Dutheil ]
  * New upstream version (Closes: #896486).
  * Standards-Version: 4.1.4
  * debhelper 11
  * Updated Vcs-Browser and Vcs-Git
  * Updated Homepage

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 30 Apr 2018 11:57:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: maffilter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Julien Dutheil <julien.dutheil@univ-montp2.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                texinfo,
-               libbpp-phyl-omics-dev (>= 2.3.1),
+               libbpp-phyl-omics-dev (>= 2.4.0),
                libboost-iostreams-dev (>= 1.54.0),
                zlib1g-dev,
                libbz2-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/maffilter.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/maffilter.git
-Homepage: http://biopp.univ-montp2.fr/forge/maffilter
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/maffilter
+Vcs-Git: https://salsa.debian.org/med-team/maffilter.git
+Homepage: https://jydu.github.io/maffilter/ 
 
 Package: maffilter
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG -g
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG -g

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_fixperms:
	dh_fixperms
	find debian/*/usr/share -name "*.bpp" -executable -exec chmod -x \{\} \;

## maffilter 1.3.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: maffilter
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Julien Dutheil <julien.dutheil@univ-montp2.fr>
+           Julien Dutheil <julien.dutheil@univ-montp2.fr>,
+           Pranav Ballaney <ballaneypranav@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                texinfo,
-               libbpp-phyl-omics-dev (>= 2.4.0),
-               libboost-iostreams-dev (>= 1.54.0),
+               libbpp-phyl-omics-dev,
+               libboost-iostreams-dev,
                zlib1g-dev,
                libbz2-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/maffilter
 Vcs-Git: https://salsa.debian.org/med-team/maffilter.git
-Homepage: https://jydu.github.io/maffilter/ 
+Homepage: https://jydu.github.io/maffilter/
+Rules-Requires-Root: no
 
 Package: maffilter
 Architecture: any

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/jydu/maffilter/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## maffilter 1.3.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: maffilter
+Standards-Version: 4.7.2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Julien Dutheil <julien.dutheil@univ-montp2.fr>,
-           Pranav Ballaney <ballaneypranav@gmail.com>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
+ Julien Dutheil <julien.dutheil@univ-montp2.fr>,
+ Pranav Ballaney <ballaneypranav@gmail.com>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               texinfo,
-               libbpp-phyl-omics-dev,
-               libboost-iostreams-dev,
-               zlib1g-dev,
-               libbz2-dev
-Standards-Version: 4.6.0
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ texinfo,
+ libbpp-phyl-omics-dev,
+ libboost-iostreams-dev,
+ zlib1g-dev,
+ libbz2-dev,
 Vcs-Browser: https://salsa.debian.org/med-team/maffilter
 Vcs-Git: https://salsa.debian.org/med-team/maffilter.git
 Homepage: https://jydu.github.io/maffilter/
@@ -20,9 +22,11 @@
 
 Package: maffilter
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Suggests: maffilter-examples
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Suggests:
+ maffilter-examples,
 Description: process genome alignment in the Multiple Alignment Format
  MafFilter applies a series of "filters" to a MAF file, in order to
  clean it, extract data and computer statistics while keeping track of
@@ -41,8 +45,11 @@
 
 Package: maffilter-examples
 Architecture: all
-Depends: ${misc:Depends}
-Enhances: maffilter
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Enhances:
+ maffilter,
 Description: process genome alignment in the Multiple Alignment Format (example data)
  MafFilter applies a series of "filters" to a MAF file, in order to
  clean it, extract data and computer statistics while keeping track of

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

execute_after_dh_fixperms:
	find debian/*/usr/share -name "*.bpp" -executable -exec chmod -x \{\} \;

=== debian/watch ===
Version: 5

Template: Github
Owner: jydu
Project: maffilter
Repack-Suffix: +dfdg
Dversion-Mangle: auto
